=== doc/examples/show-upgradeable/Makefile ===
all:
	g++ -std=gnu++0x -Wall -O2 -I../../../cpp/lib/include -L../../../cpp/lib show-upgradeable.cpp -lcupt2 -o show-upgradeable
