## cupt 2.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(Cupt)

add_subdirectory(cpp)
add_subdirectory(doc)
