=== debian/changelog ===
cupt (2.1.3) unstable; urgency=low

  * lib:
    - system/worker:
      - 'getArchivesInfo': fixed returning absolute path for files downloaded
        by APT. Thanks to Karol Kozłowski and James Vega for noticing.
  * debian:
    - libcupt2-0.install:
      - Really install 'file' download method.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 24 Jul 2011 13:31:34 +0300

cupt (2.1.2) unstable; urgency=low

  * console:
    - Fixed a crash (under certain conditions) when package wildcards are
      used within the 'shell' subcommand. Thanks to Karol Kozłowski for the
      report.
  * lib:
    - common:
      - Fixed a double use of va_list. Thanks to Julian Andres Klode for the
        report and the patch. (Closes: #630824)
    - system/worker:
      - [Jonathan Nieder] Do not assume the return value from memcmp is -1, 0,
        or 1. Fixes a bug in which cupt would sometimes leave out the <, =,
        or > symbol in VERSION 2 input for preinstall hooks. (Closes: #633138)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 10 Jul 2011 13:10:46 +0300
