## cupt 2.2.1

=== cpp/lib/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	./src/internal/worker/snapshots.cpp
 	./src/internal/regex.cpp
 	./src/internal/cachefiles.cpp
+	./src/internal/logger.cpp
 	./src/config.cpp
 	./src/cache.cpp
 	./src/cache/relation.cpp
