=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libcupt2-0-experimental
-Breaks: debdelta (<< 0.31)
-Recommends: libcupt2-0-downloadmethod-curl | libcupt2-0-downloadmethod-wget, bzip2, gpgv
+Breaks: debdelta (<< 0.31), libcupt2-0-downloadmethod-curl (<< 2.2.0~rc1),
+  libcupt2-0-downloadmethod-wget (<< 2.2.0~rc1)
+Recommends: libcupt2-0-downloadmethod-curl | libcupt2-0-downloadmethod-wget, bzip2, gpgv, ed
 Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
 Description: alternative front-end for dpkg -- runtime library
  This is a Cupt library implementing front-end to dpkg.
