## cupt 2.3.1

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,8 @@
 	message(FATAL_ERROR "Unable to detect Cupt version.")
 ENDIF(CUPT_VERSION)
 
+include_directories(.)
+
 add_subdirectory(console)
 add_subdirectory(lib)
 # add_subdirectory(precompiled)
