## cupt 2.3.2

=== debian/changelog ===
cupt (2.3.2) unstable; urgency=low

  * console:
    - 'show', 'showsrc': package name wildcards now work with '--all-versions'.
      (Closes: #651889)
  * lib:
    - cache:
      - Pin preferences: fixed 'origin' pin type support. (Closes: #651890)
      - Pin preferences: print a more user-friently error message when pin
        priority is not a valid integer. (Closes: #651894)
      - Parsing Release files: use 'Version' field when it's present.
        (Closes: #652379)
  * doc:
    - man/cupt.1:
      - Documented the option '--show-not-preferred'. (Closes: #651888)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 19 Dec 2011 20:16:26 +0200
