=== debian/changelog ===
cupt (2.5.3) unstable; urgency=low

  * console:
    - Enable message translations as early as possible. Enables translations
      for for '--help' command. Thanks to Karol Kozłowski for the report.
    - 'show', 'showsrc':
      - Use localized priority strings.
      - Use localized relation strings.
    - 'show':
      - Use localized installed state strings.
    - 'showrc':
      - Use localized source package part strings.
    - 'depends', 'rdepends', 'why':
      - Use localized binary relation strings.
  * lib:
    - system/resolvers/native:
      - Stopped using unique_ptr<void>, fixing a small memory leak. This
        regression was introduced in 2.0.0~alpha3.
      - Fixed another small memory leak, introduced in 2.5.0.
    - config:
      - Added a support for the '/* ... */'-comments.
  * po:
    - Added Polish translation by Karol Kozłowski. (Closes: #671092)
    - Added partial Danish translation by Joe Dalton. (Closes: #671119)
    - getpot:
      - Set 'report msgid bugs to' field to the development mailing list.
  * doc:
    - reference:
      - Disable jquery-based search.
  * debian:
    - control:
      - Added build-dependency on gettext.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 03 May 2012 22:54:26 +0300
