## cupt 2.5.4

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -25,4 +25,4 @@
 ENDMACRO(CUPT_PROCESS_PO)
 
 
-CUPT_PROCESS_PO(pl da)
+CUPT_PROCESS_PO(pl da sk)
