## cupt 2.5.7

=== debian/changelog ===
cupt (2.5.7) unstable; urgency=low

  * lib:
    - cache:
      - Parsing sources list: parse afterline comments properly. Thanks to
        Alexey Ivanov for the report. (Closes: #678345)
  * doc:
    - tutorial:
      - 'Disadvantages': said specificly that multiarch is not supported.
  * po:
    - Added German translation by Chris Leick. (Closes: #677758)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 28 Jun 2012 14:03:52 +0300
