## cupt 2.5.9

=== cpp/lib/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	./src/internal/nativeresolver/score.cpp
 	./src/internal/nativeresolver/dependencygraph.cpp
 	./src/internal/nativeresolver/decisionfailtree.cpp
+	./src/internal/nativeresolver/autoremovalpossibility.cpp
 	./src/internal/lock.cpp
 	./src/internal/cacheimpl.cpp
 	./src/internal/pininfo.cpp
