=== debian/changelog ===
cupt (2.5.9) unstable; urgency=low

  * lib:
    - download/uri:
      - Constructor: accept single- or triple-slashes after the ':' character,
        which is the usual situation for 'file' or 'copy' schemes.
        Thanks to Alexey Ivanov for the report. (Closes: #683873)
    - system/nativeresolver:
      - Fixed 'internal error: conflicting elements' in the corner case when
        one version of package A depends on a certain version which in turn
        depends on a different version of package A, plus additional
        circumstances apply.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 15 Aug 2012 19:45:35 +0300

cupt (2.5.8) unstable; urgency=low

  * lib:
    - cache/binaryversion:
      - 'parseFromFile': the field 'Description-md5' should be parsed together
        with info-only fields even if Version::parseOthers is off.
        (Closes: #681340)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 14 Jul 2012 13:55:39 +0300
