=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	# produce additional man pages for cupt
 	$(PERL) debian/install_pods
 	install -m644 scripts/bash_completion $(CURDIR)/debian/cupt/etc/bash_completion.d/cupt
+	install -m644 scripts/logrotate $(CURDIR)/debian/libcupt2-0/etc/logrotate.d/cupt
 
 %:
 	dh --parallel $@
